
#ifndef INC_H
#define INC_H
#ifdef __cplusplus
extern "C" {
#endif

//---------------------------------------------------------------------------

#include "header\gba.h"

#include "header\bg.h"
#include "header\blend.h"
#include "header\dma.h"
#include "header\irq.h"
#include "header\sound.h"
#include "header\sprite.h"
#include "header\timer.h"

//BG FontgꍇARgAEg폜
//#include "header\font\BGFont.h"

#include "res\resource.h"

//---------------------------------------------------------------------------
#define FIX_POWER				64

#define INT2FIX(A)				( (A) * FIX_POWER )
#define FIX2INT(A)				( _Div((A), FIX_POWER) )
#define FIX_MUL(A,B)			( _Div(((A) * (B)), FIX_POWER) )
#define FIX_DIV(A,B)			( _Div(((A) * FIX_POWER), (B)) )

#define PI						INT2FIX(3.14)				//3.141592654f

//---------------------------------------------------------------------------
#define STATE_INIT 				1							//is
#define STATE_RESET				2
#define STATE_READY				3
#define STATE_GAME				4

//---------------------------------------------------------------------------


//---------------------------------------------------------------------------


#ifdef __cplusplus
}
#endif
#endif

