/* resource.h */

#ifndef __RESOURCE_H__
#define __RESOURCE_H__


#define SHNM_6X12A_FONT_CX		6
#define SHNM_6X12A_FONT_CY		12
#define SHNM_6X12A_IMG_CX		570
#define SHNM_6X12A_IMG_CY		12
#define SHNM_6X12A_IMG_BYTE		6864


#define SHNM_8X16A_FONT_CX		8
#define SHNM_8X16A_FONT_CY		16
#define SHNM_8X16A_IMG_CX		760
#define SHNM_8X16A_IMG_CY		16
#define SHNM_8X16A_IMG_BYTE		12160

#define SHNM_FNT_BYTE			190
#define SHNM_FNT_FONT_CNT		80

extern const u8 shnm6x12a_img_bin;
extern const u8 shnm8x16a_img_bin;
extern const u8 shnm_fnt_bin;


#define SPR_IMG_BYTE			4096
#define SPR_PAL_BYTE			32

extern const u8 spr_img_bin;
extern const u8 spr_pal_bin;


#endif
